#include "VulkanWindow.h"
#include "VulkanRenderer.h"
#include <qevent.h>

static const int KEY_ESCAPE = 16777216;

void VulkanWindow::keyPressEvent(QKeyEvent *event) {
  QWindow::keyPressEvent(event);
  qDebug() << "text" << event->text()
           << "key" << event->key()
           << "modifiers" << event->modifiers();
  if (event->matches(QKeySequence::Quit) || event->key() == KEY_ESCAPE) {
    close();
  }
}

QVulkanWindowRenderer *VulkanWindow::createRenderer() {
  return new VulkanRenderer(this);
}
